{% extends 'base.html'%}

{% block title %}Add Event{% endblock %}

{% block content %}
	<div class="container">
		<div class="row">
			<div class="col-6 offset-3">
				<h1 class="tex-center my-3">Add an Event</h1>
				{% if error == True %}
					<p class="text-danger">Duplicate event found!</p>
				{% endif %}

				<form action="{% url 'todolist:add_event' %}" method="post">

					<!-- This template tag provides protection against Cross Site Request Forgeries (CSRF) -->
					<!-- CSRF occurs when a malicious website contains a link, a form button or some JavaScript that is intended to perform some action our website, using the credentials of a logged-in user -->
					{% csrf_token %}

					<div class="mb-3">
						<label for="event_name" class="form-label">Event Name:</label>
						<input type="text" class="form-control" id="event_name" name="event_name" value="{{event_name}}" maxlength="50" required>
					</div>

					<div class="mb-3">
						<label for="description" class="form-label">Description:</label>
						<textarea class="form-control" id="description" name="description" value="{{description}}" required></textarea>
					</div>

					<div class="mb-3">
						
						<input class="btn btn-success" type="submit" value="Add Event">
					</div>
				</form>
			</div>
		</div>
	</div>
{% endblock %}